Create Alert Definition
Once the Alert Definition is created, a unique identifier will be generated by the system for the Alert Definition
The Alert Definition that needs to be created
Show optional properties
{
"adapterKindKey": "string",
"name": "string",
"resourceKindKey": "string",
"states": [
{
"base-symptom-set": {},
"impact": {
"detail": "string",
"impactType": "string"
},
"severity": "string"
}
]
}
"{\n \"name\" : \"High CPU/Memory Usage\",\n \"description\" : \"CPU or MEM usage too High\",\n \"adapterKindKey\" : \"VMWARE\",\n \"resourceKindKey\" : \"HostSystem\",\n \"waitCycles\" : 3,\n \"cancelCycles\" : 2,\n \"type\" : 0,\n \"subType\" : 0,\n \"states\" : [ {\n \"severity\" : \"WARNING\",\n \"base-symptom-set\" : {\n \"type\" : \"SYMPTOM_SET_COMPOSITE\",\n \"operator\" : \"AND\",\n \"symptom-sets\" : [ {\n \"type\" : \"SYMPTOM_SET\",\n \"adapterKindKey\" : \"VMWARE\",\n \"resourceKindKey\" : \"Datastore\",\n \"relation\" : \"DESCENDANT\",\n \"aggregation\" : \"ALL\",\n \"symptomSetOperator\" : \"AND\",\n \"symptomDefinitionIds\" : [ \"Symptom5\", \"!Symptom6\" ],\n \"alertConditions\" : [ {\n \"waitCycles\" : 5,\n \"cancelCycles\" : 5,\n \"severity\" : \"CRITICAL\",\n \"condition\" : {\n \"type\" : \"CONDITION_HT\",\n \"key\" : \"cpu|demandmhz\",\n \"operator\" : \"GT_EQ\",\n \"valueType\" : \"NUMERIC\",\n \"instanced\" : false,\n \"targetKey\" : \"cpu|availablemhz\",\n \"thresholdType\" : \"STATKEY\"\n }\n } ]\n }, {\n \"type\" : \"SYMPTOM_SET\",\n \"relation\" : \"SELF\",\n \"aggregation\" : \"ALL\",\n \"symptomSetOperator\" : \"OR\",\n \"symptomDefinitionIds\" : [ \"Symptom100\", \"Symptom101\" ]\n } ]\n },\n \"impact\" : {\n \"impactType\" : \"BADGE\",\n \"detail\" : \"health\"\n }\n } ],\n \"forVCDTenants\" : false\n}"
The adapter kind key of the Adapter Kind that the Alert Definition applies to
The Number of cycles the symptom conditions are false before ending the problem alert
The description of the problem definition
Is alert definition for tenants or not
The unique identifier across the system. Must be null during create
The Name of the Problem Definition
The resource kind key for the Resource Kind that the Alert Definition applies to
An Alert Definition state identifies the severity and impact a problem has when the
set of Symptom Definition conditions are true. One Alert Definition state per severity.
The sub type of the problem, for the purposes of routing an alert
generated by this problem.
The type of the problem, for the purposes of routing an alert generated
by this problem.
The Number of cycles the symptom conditions are true before triggering the problem alert
The created Alert Definition
"{\n \"id\" : \"f080147f-c60d-4f08-8801-b602e2931b6f\",\n \"name\" : \"High CPU/Memory Usage\",\n \"description\" : \"CPU or MEM usage too High\",\n \"adapterKindKey\" : \"VMWARE\",\n \"resourceKindKey\" : \"HostSystem\",\n \"waitCycles\" : 3,\n \"cancelCycles\" : 2,\n \"type\" : 0,\n \"subType\" : 0,\n \"states\" : [ {\n \"severity\" : \"WARNING\",\n \"base-symptom-set\" : {\n \"type\" : \"SYMPTOM_SET_COMPOSITE\",\n \"operator\" : \"AND\",\n \"symptom-sets\" : [ {\n \"type\" : \"SYMPTOM_SET\",\n \"adapterKindKey\" : \"VMWARE\",\n \"resourceKindKey\" : \"Datastore\",\n \"relation\" : \"DESCENDANT\",\n \"aggregation\" : \"ALL\",\n \"symptomSetOperator\" : \"AND\",\n \"symptomDefinitionIds\" : [ \"Symptom5\", \"!Symptom6\" ],\n \"alertConditions\" : [ {\n \"waitCycles\" : 5,\n \"cancelCycles\" : 5,\n \"severity\" : \"CRITICAL\",\n \"condition\" : {\n \"type\" : \"CONDITION_HT\",\n \"key\" : \"cpu|demandmhz\",\n \"operator\" : \"GT_EQ\",\n \"valueType\" : \"NUMERIC\",\n \"instanced\" : false,\n \"targetKey\" : \"cpu|availablemhz\",\n \"thresholdType\" : \"STATKEY\"\n }\n } ]\n }, {\n \"type\" : \"SYMPTOM_SET\",\n \"relation\" : \"SELF\",\n \"aggregation\" : \"ALL\",\n \"symptomSetOperator\" : \"OR\",\n \"symptomDefinitionIds\" : [ \"Symptom100\", \"Symptom101\" ]\n } ]\n },\n \"impact\" : {\n \"impactType\" : \"BADGE\",\n \"detail\" : \"health\"\n }\n } ],\n \"forVCDTenants\" : false\n}"
The adapter kind key of the Adapter Kind that the Alert Definition applies to
The Number of cycles the symptom conditions are false before ending the problem alert
The description of the problem definition
Is alert definition for tenants or not
The unique identifier across the system. Must be null during create
The Name of the Problem Definition
The resource kind key for the Resource Kind that the Alert Definition applies to
An Alert Definition state identifies the severity and impact a problem has when the
set of Symptom Definition conditions are true. One Alert Definition state per severity.
The sub type of the problem, for the purposes of routing an alert
generated by this problem.
The type of the problem, for the purposes of routing an alert generated
by this problem.
The Number of cycles the symptom conditions are true before triggering the problem alert
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"adapterKindKey":"string","name":"string","resourceKindKey":"string","states":["object"]}' https://{api_host}/suite-api/api/alertdefinitions